Bug 514641 - Input Method for other languages
Summary: Input Method for other languages
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: user-guide
Version: devel
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Susan Lauber
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-29 23:11 UTC by Noriko Mizumoto
Modified: 2010-04-23 22:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-23 22:43:06 UTC


Attachments (Terms of Use)

Description Noriko Mizumoto 2009-07-29 23:11:13 UTC
Description of problem:
If a user's first language is other than English, the user needs to know how to switch to their language. Such as for Japanese, simply 'ctrl+shift' starts Imput Method (if installed).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot up the machine
2. In any application, such as OOffice Writer

  
Actual results:
No information how to type in particular language other than English

Expected results:
Information how to switch to other languages

Additional info:

Comment 1 eric 2009-07-30 00:38:34 UTC
Changed from desktop-user-guide to user-guide to help reduce confusion.

Comment 2 Susan Lauber 2010-03-07 03:15:22 UTC
Great suggestion. Are you interested in writing a paragraph or two for the next release?  You can add them to this bug and I'll see that they get into the Guide.

Comment 3 Noriko Mizumoto 2010-03-08 23:46:14 UTC
I am not sure for other languages, so asked for help other translators.
http://lists.fedoraproject.org/pipermail/trans/2010-March/007107.html

Comment 4 Noriko Mizumoto 2010-03-09 23:46:40 UTC
[Info for Chinese]
---------------------------------------------------
To add information in user guide is a good idea!

Most Chinese input methods use Ctrl+Space to turn them on or turn them off,
and use Ctrl+Shift to switch between them.
http://lists.fedoraproject.org/pipermail/trans/2010-March/007119.html

Comment 5 Caius Chance 2010-03-10 00:23:28 UTC
Hi, FYI IBus would be the default input method framework for coming Fedora.

The default toggle key combination is Ctrl-Space, and the key combination of cycling among input methods is Alt-Shift.

The Ctrl-Shift key combination has been obsoleted by Alt-Shift, which was made consistent to IME in win32 environment.

If user customized another IME after installation, they may have different combination keys for such IME.

Comment 6 Noriko Mizumoto 2010-03-12 00:00:04 UTC
[Info]
---------------------------------
Alt+Shift and Ctrl+Shift have different usage. Alt+Shift switches the
user locale (such as zh_TW, zh_CN, Japanese, etc.) and Ctrl+Shift
switches IME within the given locale (such as Changjei, Zhuyin for
zh_TW)

http://lists.fedoraproject.org/pipermail/trans/2010-March/007150.html

Comment 7 Caius Chance 2010-03-12 00:29:44 UTC
FYI, current arrangement on Fedora 12 and coming Fedora 13 is, Alt-Shift will cycle *every input method* according to the list preferred in the ibus-setup (ibus is the default input method engine atm). There is no Ctrl+Shift presently used by IBus.

Anyone is welcomed to propose to have it changed in future IBus. Thanks.

Comment 8 Ruediger Landmann 2010-03-12 02:41:39 UTC
Just wondering whether this behaviour is dependent on the desktop environment? 

Does this work the same way in KDE, Xfce, etc ?

Comment 9 Susan Lauber 2010-03-31 23:19:12 UTC
Draft paragraph for User's guide:
For many people, there is a need to switch between input methods such as Japanese or Chinese character sets. This is handled in Fedora 13 by ibus. The default keyboard shortcut to switch input methods is Alt+Shift. The default keyboard shortcut to disable input methods is Control+Space. Input method settings can be customized through System > Preferences > Input Method in GNOME or Kickoff Application Launcher > Applications > Settings > Input Method in KDE. You can also get the the settings from the command line with ibus-settings. The first tab allows you to customize the keyboard shortcuts. The second tab allows you to add and remove input methods and set the prefered input method. The third tab has advanced settings.

Available at:
http://git.fedorahosted.org/git/docs/user-guide.git?p=docs/user-guide.git;a=blob;f=en-US/Customizing_the_desktop.xml;h=c54d49b47e38ae24922adf31dec6a93e4182f9d9;hb=025e99c4ff5376e88614fbe4b936540729d50931

Comments welcome.

Comment 10 Caius Chance 2010-03-31 23:58:02 UTC
Hi phuang, please confirm if ibus-setup has been renamed into ibus-settings in F13?

Comment 11 Noriko Mizumoto 2010-04-01 00:38:16 UTC
Susan, great work, thank you!

(In reply to comment #9)
> The default keyboard shortcut to switch input methods is Alt+Shift. The default
> keyboard shortcut to disable input methods is Control+Space. Input method
> settings can be customized through...

I think first user action will be 'to enable' IM as it is not enabled when logged in. And then depending on his/her need it will be switched to another IM. How about to change the order, and use the term 'enable' instead 'disable'?
"To enable input methods, press Control+Space. Once enabled, pressing Alt+Shift will switch between available input methods. Input method settings including these default keyboard shortcuts can be customized through..."

Comment 12 Susan Lauber 2010-04-01 03:08:12 UTC
(In reply to comment #10)
> Hi phuang, please confirm if ibus-setup has been renamed into ibus-settings in
> F13?    

It is ibus-setup  my mistake.

Comment 13 Susan Lauber 2010-04-01 03:15:05 UTC
(In reply to comment #11)
> Susan, great work, thank you!
> 
> (In reply to comment #9)
> > The default keyboard shortcut to switch input methods is Alt+Shift. The default
> > keyboard shortcut to disable input methods is Control+Space. Input method
> > settings can be customized through...
> 
> I think first user action will be 'to enable' IM as it is not enabled when
> logged in. And then depending on his/her need it will be switched to another
> IM. How about to change the order, and use the term 'enable' instead 'disable'?
> "To enable input methods, press Control+Space. Once enabled, pressing Alt+Shift
> will switch between available input methods. Input method settings including
> these default keyboard shortcuts can be customized through..."    

Good suggestion.  Done.

Current paragraph is:

For many people, there is a need to switch between input methods such as Japanese or Chinese character sets. This is handled in Fedora 13 by ibus. The default keyboard shortcut to enable and disable input methods is Control+Space. Once enabled, the default keyboard shortcut to cycle through input methods is Alt+Shift. Input method settings can be customized through System > Preferences > Input Method in GNOME or Kickoff Application Launcher > Applications > Settings > Input Method in KDE. You can also get the the settings from the command line with ibus-setup. The first tab allows you to customize the keyboard shortcuts. The second tab allows you to add and remove input methods and set the prefered input method. The third tab has advanced settings.

http://git.fedorahosted.org/git/docs/user-guide.git?p=docs/user-guide.git;a=commitdiff;h=6bc1d63efd2d73ad7056634d4c969c35f0b40ee3

Comment 14 Jens Petersen 2010-04-13 05:00:06 UTC
> Input method settings can be customized through System > Preferences
> > Input Method in GNOME or Kickoff Application Launcher > Applications >
> Settings > Input Method in KDE. You can also get the the settings from the
> command line with ibus-setup. The first tab allows you to customize the
> keyboard shortcuts. The second tab allows you to add and remove input methods
> and set the prefered input method. The third tab has advanced settings.

There are actually two different "settings":

(1) the desktop input-method preference im-chooser
(System > Preferences > Input Method) which is for activating, selecting,
or disabling input method usage on the desktop (there are also other IMs
than the default ibus available in Fedora)

(2) Configuration of the input method system itself: ibus-setup.
This can be activated from the ibus applet (Right-click > Preferences).

The two are quite different.

Comment 15 Susan Lauber 2010-04-13 19:46:19 UTC
Thank you for your feedback.  In trying to act as the desktop user, I simply went through the Gui menus and there was a button to configure the preferences and another time when I just started ibus-setup from the command line, it prompts to enable the input method.  So the two programs are very closely tied.  Any way, I updated the paragraph.  Does this make more sense?

***

For many people, there is a need to switch between input methods such as Japanese or Chinese character sets. This is handled in Fedora 13 by ibus. The default keyboard shortcut to enable and disable input methods is Control+Space. Once enabled, the default keyboard shortcut to cycle through input methods is Alt+Shift.

To enable, disable, or select the type of input method in GNOME, click System → Preferences → Input Method or in KDE, click Kickoff Application Launcher → Applications → Settings → Input Method. You can also get to these settings from the command line with im-chooser. Once enabled, configure the preferences by clicking the Input Method Preferences button. The first tab allows you to customize the keyboard shortcuts. The second tab allows you to add and remove input methods and set the prefered input method. The third tab has advanced settings. You can customize preferences later by right clicking the ibus applet and selecting Preferences or from the command line with ibus-setup.

Comment 16 Susan Lauber 2010-04-23 22:43:06 UTC
Reviewed and update for F13

Drafts are building at http://fedorapeople.org/groups/docs/user-guide/
until release when the new guide will be at http://docs.fedoraproject.org/


Note You need to log in before you can comment on or make changes to this bug.